#ifndef __SWM050_EXTI_H__
#define	__SWM050_EXTI_H__

void EXTI_Init(EXTI_T * EXTIx,uint32_t n,uint32_t mode,uint32_t level);	//指定引脚外部中断初始化，包括电平触发、边沿触发选择，低电平（下降沿）触发、高电平（上升沿）触发选择
void EXTI_Open(EXTI_T * EXTIx,uint32_t n);		//指定引脚外部中断打开（即使能）
void EXTI_Close(EXTI_T * EXTIx,uint32_t n);		//指定引脚外部中断关闭（即禁能）
void EXTI_Clear(EXTI_T * EXTIx,uint32_t n);		//指定引脚外部中断清除（即清除中断标志，以免再次进入此中断）

uint32_t EXTI_State(EXTI_T * EXTIx, uint32_t n);



void EXTI_SetMode(EXTI_T * EXTIx,uint32_t n,uint32_t mode);		//设置指定引脚的外部中断模式，包括电平触发、边沿触发
uint32_t EXTI_GetMode(EXTI_T * EXTIx,uint32_t n);				//获取指定引脚外部中断的模式
void EXTI_SetLevel(EXTI_T * EXTIx,uint32_t n,uint32_t level);	//设置指定引脚的外部中断电平，包括低电平（下降沿）触发、高电平（上升沿）触发
uint32_t EXTI_GetLevel(EXTI_T * EXTIx,uint32_t n);				//获取指定引脚的外部中断电平

#endif //__SWM050_EXTI_H__
